> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Accrual Policy

> Fetch an existing accrual policy for a company, optionally filtered by policy code or policy status.



## OpenAPI

````yaml openapi/zeal-api.json get /accrualPolicy
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /accrualPolicy:
    get:
      summary: Get Accrual Policy
      operationId: get-accrual-policy
      parameters:
        - name: companyID
          in: query
          description: >-
            ID of the company, will return all company's accrual policies if
            solely passed
          required: true
          schema:
            type: string
        - name: policy_code
          in: query
          description: Unique code assigned to a policy
          schema:
            type: string
        - name: policy_status
          in: query
          description: Status of the policy (accepts live or terminated)
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: 234eeeee53534tererec
                      policy_type: pto
                      policy_name: test name
                      policy_code: '001'
                      policy_effective_date: '2023-03-01'
                      accrual_rate_hours: 10
                      accrual_period_hours: 40
                      immediate_balance: 0
                      include_doubletime: true
                      include_overtime: true
                      accrual_waiting_period: 0
                      accrual_cap: 60
                      rollover_cap: 40
                      rollover_date: 01-01
                      policy_status: live
                      balance_cap: 60
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: 234eeeee53534tererec
                      policy_type:
                        type: string
                        example: pto
                      policy_name:
                        type: string
                        example: test name
                      policy_code:
                        type: string
                        example: '001'
                      policy_effective_date:
                        type: string
                        example: '2023-03-01'
                      accrual_rate_hours:
                        type: integer
                        example: 10
                        default: 0
                      accrual_period_hours:
                        type: integer
                        example: 40
                        default: 0
                      immediate_balance:
                        type: integer
                        example: 0
                        default: 0
                      include_doubletime:
                        type: boolean
                        example: true
                        default: true
                      include_overtime:
                        type: boolean
                        example: true
                        default: true
                      accrual_waiting_period:
                        type: integer
                        example: 0
                        default: 0
                      accrual_cap:
                        type: integer
                        example: 40
                        default: 0
                      rollover_cap:
                        type: integer
                        example: 40
                        default: 0
                      rollover_date:
                        type: string
                        example: 01-01
                      policy_status:
                        type: string
                        example: live
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    error: true
                    message: Accrual policy with this policy code not found
                    timestamp: '2023-03-27T17:24:35Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  error:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Accrual policy with this policy code not found
                  timestamp:
                    type: string
                    example: '2023-03-27T17:24:35Z'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````